Tty manipulation functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Tty manipulation functions

Functions that deal with opening, closing, and otherwise using a tty. More...

## Functions
EAPI Eina_Bool | ecore_drm_tty_open (Ecore_Drm_Device *dev, const char *name)
| Opens a tty for use.
EAPI Eina_Bool | ecore_drm_tty_close (Ecore_Drm_Device *dev)
| Closes an already opened tty.
EAPI Eina_Bool | ecore_drm_tty_release (Ecore_Drm_Device *dev)
| Releases a virtual terminal.
EAPI Eina_Bool | ecore_drm_tty_acquire (Ecore_Drm_Device *dev)
| Acquires a virtual terminal.
EAPI int | ecore_drm_tty_get (Ecore_Drm_Device *dev)
| Gets the opened virtual terminal file descriptor.

## Detailed Description

Functions that deal with opening, closing, and otherwise using a tty.

## Function Documentation

## ◆ ecore_drm_tty_open()

EAPI Eina_Bool ecore_drm_tty_open | ( | Ecore_Drm_Device * | dev,
|  | const char * | name
| ) |  |

Opens a tty for use.

Parameters

  dev | The Ecore_Drm_Device that this tty will belong to.
  name | The name of the tty to try and open. If NULL, /dev/tty0 will be used.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on failure

References ecore_event_handler_add(), ECORE_EVENT_SIGNAL_USER, EINA_FALSE, EINA_SAFETY_ON_TRUE_RETURN_VAL, eina_stringshare_add(), eina_stringshare_del(), EINA_TRUE, and setenv().

## ◆ ecore_drm_tty_close()

EAPI Eina_Bool ecore_drm_tty_close | ( | Ecore_Drm_Device * | dev | ) |

Closes an already opened tty.

Parameters

  dev | The Ecore_Drm_Device which owns this tty.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on failure

References ecore_event_handler_del(), EINA_FALSE, EINA_SAFETY_ON_TRUE_RETURN_VAL, eina_stringshare_del(), EINA_TRUE, and unsetenv().

## ◆ ecore_drm_tty_release()

EAPI Eina_Bool ecore_drm_tty_release | ( | Ecore_Drm_Device * | dev | ) |

Releases a virtual terminal.

Parameters

  dev | The Ecore_Drm_Device which owns this tty.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on failure

References EINA_FALSE, EINA_SAFETY_ON_TRUE_RETURN_VAL, and EINA_TRUE.

## ◆ ecore_drm_tty_acquire()

EAPI Eina_Bool ecore_drm_tty_acquire | ( | Ecore_Drm_Device * | dev | ) |

Acquires a virtual terminal.

Parameters

  dev | The Ecore_Drm_Device which owns this tty.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` on failure

References EINA_FALSE, EINA_SAFETY_ON_TRUE_RETURN_VAL, and EINA_TRUE.

## ◆ ecore_drm_tty_get()

EAPI int ecore_drm_tty_get | ( | Ecore_Drm_Device * | dev | ) |

Gets the opened virtual terminal file descriptor.

Parameters

  dev | The Ecore_Drm_Device which owns this tty.

Returns
  The tty fd opened from previous call to ecore_drm_tty_open

Since
  1.10

References EINA_SAFETY_ON_TRUE_RETURN_VAL.